petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscPartitionerPartition

Create a non-overlapping partition of the cells in the mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerPartition(PetscPartitioner part, DM dm, PetscSection partSection, IS *partition)

Collective on DM

### Input Parameters

| part | - The PetscPartitioner
| dm | - The mesh DM

### Output Parameters

| partSection | - The PetscSection giving the division of points by partition
| partition | - The list of points by partition

Note: Instead of cells, points at a given height can be partitioned by calling PetscPartitionerSetPointHeight()

### See Also

DMPlexDistribute(), PetscPartitionerSetPointHeight(), PetscPartitionerCreate()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c

### Implementations

PetscPartitionerPartition_MatPartitioning in src/dm/impls/plex/petscpartmatpart.c
PetscPartitionerPartition_Shell in src/dm/impls/plex/plexpartition.c
PetscPartitionerPartition_Simple in src/dm/impls/plex/plexpartition.c
PetscPartitionerPartition_Gather in src/dm/impls/plex/plexpartition.c
PetscPartitionerPartition_Chaco in src/dm/impls/plex/plexpartition.c
PetscPartitionerPartition_ParMetis in src/dm/impls/plex/plexpartition.c
PetscPartitionerPartition_PTScotch in src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages